ONVIF::Device::Elements::GetRemoteUserResponse(3)

NAME
ONVIF::Device::Elements::GetRemoteUserResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetRemoteUserResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RemoteUser

     $element->set_RemoteUser($data);
     $element->get_RemoteUser();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetRemoteUserResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   RemoteUser =>  { # ONVIF::Device::Types::RemoteUser
     Username =>  $some_value, # string
     Password =>  $some_value, # string
     UseDerivedPassword =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL